Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9169)
@@ -8,13 +8,13 @@
    !!             3.4  !  2011-06  (O. Aumont, C. Ethe) Quota model for iron
    !!----------------------------------------------------------------------
-   !!   p4z_meso       :   Compute the sources/sinks for mesozooplankton
-   !!   p4z_meso_init  :   Initialization of the parameters for mesozooplankton
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zprod         !  production
-   USE prtctl_trc      !  print control for debugging
-   USE iom             !  I/O manager
+   !!   p4z_meso       : Compute the sources/sinks for mesozooplankton
+   !!   p4z_meso_init  : Initialization of the parameters for mesozooplankton
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zprod         ! production
+   USE prtctl_trc      ! print control for debugging
+   USE iom             ! I/O manager
 
    IMPLICIT NONE
@@ -24,5 +24,4 @@
    PUBLIC   p4z_meso_init         ! called in trcsms_pisces.F90
 
-   !! * Shared module variables
    REAL(wp), PUBLIC ::  part2        !: part of calcite not dissolved in mesozoo guts
    REAL(wp), PUBLIC ::  xprefc       !: mesozoo preference for POC 
@@ -49,5 +48,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -60,5 +58,6 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt, knt ! ocean time step
+      INTEGER, INTENT(in) ::   kt, knt   ! ocean time step and ???
+      !
       INTEGER  :: ji, jj, jk
       REAL(wp) :: zcompadi, zcompaph, zcompapoc, zcompaz, zcompam
@@ -73,6 +72,5 @@
       CHARACTER (len=25) :: charout
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zgrazing
-      REAL(wp), ALLOCATABLE, DIMENSION(:,:,:) :: zw3d
-
+      REAL(wp), ALLOCATABLE, DIMENSION(:,:,:) ::   zw3d
       !!---------------------------------------------------------------------
       !
@@ -122,5 +120,4 @@
 
                !  Mesozooplankton flux feeding on GOC
-               !  ----------------------------------
                !  ----------------------------------
                zgrazffeg = grazflux  * xstep * wsbio4(ji,jj,jk)      &
@@ -253,5 +250,4 @@
       !!
       !! ** input   :   Namelist nampismes
-      !!
       !!----------------------------------------------------------------------
       INTEGER ::   ios   ! Local integer
@@ -262,35 +258,38 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*) 
+         WRITE(numout,*) 'p4z_meso_init : Initialization of mesozooplankton parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
       READ  ( numnatp_ref, namp4zmes, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmes in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zmes in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
       READ  ( numnatp_cfg, namp4zmes, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zmes )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zmes )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' ' 
-         WRITE(numout,*) ' Namelist parameters for mesozooplankton, namp4zmes'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    part of calcite not dissolved in mesozoo guts  part2        =', part2
-         WRITE(numout,*) '    mesozoo preference for phyto                   xprefc       =', xprefc
-         WRITE(numout,*) '    mesozoo preference for POC                     xprefp       =', xprefp
-         WRITE(numout,*) '    mesozoo preference for zoo                     xprefz       =', xprefz
-         WRITE(numout,*) '    mesozoo preference for poc                     xprefpoc     =', xprefpoc
-         WRITE(numout,*) '    microzoo feeding threshold  for mesozoo        xthresh2zoo  =', xthresh2zoo
-         WRITE(numout,*) '    diatoms feeding threshold  for mesozoo         xthresh2dia  =', xthresh2dia
-         WRITE(numout,*) '    nanophyto feeding threshold for mesozoo        xthresh2phy  =', xthresh2phy
-         WRITE(numout,*) '    poc feeding threshold for mesozoo              xthresh2poc  =', xthresh2poc
-         WRITE(numout,*) '    feeding threshold for mesozooplankton          xthresh2     =', xthresh2
-         WRITE(numout,*) '    exsudation rate of mesozooplankton             resrat2      =', resrat2
-         WRITE(numout,*) '    mesozooplankton mortality rate                 mzrat2       =', mzrat2
-         WRITE(numout,*) '    maximal mesozoo grazing rate                   grazrat2     =', grazrat2
-         WRITE(numout,*) '    mesozoo flux feeding rate                      grazflux     =', grazflux
-         WRITE(numout,*) '    non assimilated fraction of P by mesozoo       unass2       =', unass2
-         WRITE(numout,*) '    Efficicency of Mesozoo growth                  epsher2      =', epsher2
-         WRITE(numout,*) '    Fraction of mesozoo excretion as DOM           sigma2       =', sigma2
-         WRITE(numout,*) '    half sturation constant for grazing 2          xkgraz2      =', xkgraz2
+         WRITE(numout,*) '   Namelist : namp4zmes'
+         WRITE(numout,*) '      part of calcite not dissolved in mesozoo guts  part2        =', part2
+         WRITE(numout,*) '      mesozoo preference for phyto                   xprefc       =', xprefc
+         WRITE(numout,*) '      mesozoo preference for POC                     xprefp       =', xprefp
+         WRITE(numout,*) '      mesozoo preference for zoo                     xprefz       =', xprefz
+         WRITE(numout,*) '      mesozoo preference for poc                     xprefpoc     =', xprefpoc
+         WRITE(numout,*) '      microzoo feeding threshold  for mesozoo        xthresh2zoo  =', xthresh2zoo
+         WRITE(numout,*) '      diatoms feeding threshold  for mesozoo         xthresh2dia  =', xthresh2dia
+         WRITE(numout,*) '      nanophyto feeding threshold for mesozoo        xthresh2phy  =', xthresh2phy
+         WRITE(numout,*) '      poc feeding threshold for mesozoo              xthresh2poc  =', xthresh2poc
+         WRITE(numout,*) '      feeding threshold for mesozooplankton          xthresh2     =', xthresh2
+         WRITE(numout,*) '      exsudation rate of mesozooplankton             resrat2      =', resrat2
+         WRITE(numout,*) '      mesozooplankton mortality rate                 mzrat2       =', mzrat2
+         WRITE(numout,*) '      maximal mesozoo grazing rate                   grazrat2     =', grazrat2
+         WRITE(numout,*) '      mesozoo flux feeding rate                      grazflux     =', grazflux
+         WRITE(numout,*) '      non assimilated fraction of P by mesozoo       unass2       =', unass2
+         WRITE(numout,*) '      Efficicency of Mesozoo growth                  epsher2      =', epsher2
+         WRITE(numout,*) '      Fraction of mesozoo excretion as DOM           sigma2       =', sigma2
+         WRITE(numout,*) '      half sturation constant for grazing 2          xkgraz2      =', xkgraz2
       ENDIF
       !
